# Payout service APIs Payout service APIs Version: 1.0.0 License: Apache 2.0 ## Security ### oauth2 Type: oauth2 ## Download OpenAPI description [Payout service APIs](https://docs.ripple.com/_bundle/products/payments-direct/api-docs/payout-service/payout-service.yaml) ## Forex ### Get forex rates - [GET /v1/forex](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/forex/getforexrates.md): Returns a list of foreign exchange rates for a given base/counter currency pair ## Payout Partner ### Returns all existing payout partners - [GET /v1/payout_partners](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-partner/getpayoutpartners.md): Returns a list of all existing payout partners ### Create a new payout partner - [POST /v1/payout_partners](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-partner/createpayoutpartner.md): Returns the id and status of the created payout partner, along with the original names from the request ### Delete an existing payout partner - [DELETE /v1/payout_partners/{partner_id}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-partner/deletepayoutpartnerbyid.md): The payout partner's status would be changed from ACTIVE to DELETED ### Get details about an existing payout partner - [GET /v1/payout_partners/{partner_id}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-partner/getpayoutpartnerbyid.md): Returns the details about the payout partner ### Update an existing payout partner - [PUT /v1/payout_partners/{partner_id}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-partner/updatepayoutpartner.md): Returns the updated details about the payout partner ## Payout Method ### Get Payout Methods - [GET /v1/payout_methods](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-method/getpayoutmethods.md): Returns a paginated response of payout methods that match the given criteria ### Create a new payout method - [POST /v1/payout_methods](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-method/createpayoutmethod.md): Returns the single created payout method ### Delete an existing payout method - [DELETE /v1/payout_methods/{payout_method_id}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-method/deletepayoutmethodbyid.md): Deletes the payout method from our database ### Get details about an existing payout method - [GET /v1/payout_methods/{payout_method_id}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-method/getpayoutmethodbyid.md): Returns the details about the payout method ### Update an existing payout method - [PUT /v1/payout_methods/{payout_method_id}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payout-method/updatepayoutmethod.md): Returns the updated details about the payout method ## Data requirements ### Get data requirements - [GET /data-requirements](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/data-requirements/getdatarequirements.md): Returns the fields required to make a payout using the given payout method. ### Add data requirements to a payout method, overwriting any existing requirements - [PUT /data-requirements](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/data-requirements/adddatarequirements.md): Returns the data requirements now associated to the given payout method ## Payouts ### Get a paginated response of all payouts optionally filtering on partner name and payout status - [GET /v1/payouts](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payouts/getallpayouts.md): Returns the paginated response of all payouts ### Create a new payout request - [POST /v1/payouts](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payouts/createpayoutrequest.md): Returns the id and status of the created transaction, along with the payout partner and method id ### Create a new payout request using RPO user_info fields - [POST /v1/payouts/rpo](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payouts/createpayoutrequestduplicate.md): Returns the id and status of the created transaction, along with the payout partner and method id ### Get payout status by transaction id - [GET /v1/payouts/{transaction_id}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payouts/getpayoutstatusbyid.md): Returns the payout details including status for the requested transaction_id ### Pre-validate payout fields - [POST /v1/payouts/validation](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payouts/validatepayout.md): Returns result of pre-validation based of provided payout fields ## PayoutsV2 ### Create a new payout request enriched by PII - [POST /v2/payouts](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payoutsv2/createpayoutrequestv2.md): Returns the id and status of the created transaction, along with the payout partner and method id ### Get a paginated response of all payouts optionally filtering on partner name and payout status - [GET /v2/payouts](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payoutsv2/getallpayoutsv2.md): Returns the paginated response of all payouts ### Get payout status by transaction id - [GET /v2/payouts/{transactionId}](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/payoutsv2/getpayoutstatusbyidv2.md): Returns the payout details including status for the requested transactionId ## Quotes ### Get payout quotes with payout fees for different payout methods (given payout provider and payout currency) and FX rates if base and payout currencies are different - [GET /v1/quotes](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/quotes/getquotes.md): Returns a list of quotes for the given payout methods and base/payout currency pair ### Get payout quotes with payout fees for different payout methods (given payout provider and payout currency) and FX rates if base and payout currencies are different - [POST /v1/quotes](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/quotes/postquotes.md): Returns a list of quotes for the given payout methods and base/payout currency pair ## Webhooks ### A webhook endpoint for Tranglo to POST the updated status of payout - [POST /v1/webhooks/tranglo/payout_status](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/webhooks/updatetranglopayoutstatus.md): This is an webhook endpoint hosted by payout service so that Tranglo can call us back with the updated status of payout. The API then updates the status of payout within the payout service and optionally will callback any upstream services like payments service with the new status. ### A webhook endpoint for Tranglo to POST the updated status of payout - [POST /v1/webhooks/tranglo/payout_status](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/tranglo/updatetranglopayoutstatus.md): This is an webhook endpoint hosted by payout service so that Tranglo can call us back with the updated status of payout. The API then updates the status of payout within the payout service and optionally will callback any upstream services like payments service with the new status. ## Tranglo ### A webhook endpoint for Tranglo to POST the updated status of payout - [POST /v1/webhooks/tranglo/payout_status](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/webhooks/updatetranglopayoutstatus.md): This is an webhook endpoint hosted by payout service so that Tranglo can call us back with the updated status of payout. The API then updates the status of payout within the payout service and optionally will callback any upstream services like payments service with the new status. ### A webhook endpoint for Tranglo to POST the updated status of payout - [POST /v1/webhooks/tranglo/payout_status](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/tranglo/updatetranglopayoutstatus.md): This is an webhook endpoint hosted by payout service so that Tranglo can call us back with the updated status of payout. The API then updates the status of payout within the payout service and optionally will callback any upstream services like payments service with the new status. ## Routing ### Get the routing data - [GET /v1/routes](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/routing/getrouteinfo.md): Get the routing information ## Data Requirement ### Add data requirements to a payout method, overwriting any existing requirements through file - [POST /v1/data-requirements/upload](https://docs.ripple.com/products/payments-direct/api-docs/payout-service/payout-service/data-requirement/uploaddatarequirements.md): Returns the processed file details method